Skip to content
Developers
Get an API token

List available fields

Returns the fields you can request from POST /v1/data.

List available fields

GET/v1/data/fields

Returns the fields you can request from POST /v1/data. Each entry's field is the dotted key to send, for example Header.ResourcePlay.

Send a Developer API Token from EVA in the x-api-key header. Authentication

Parameters

Query parameters

  • groupstringOptional

    Field group to list: Header, Dates, Geology, Well Design, Frac Data, Performance or Forecast. Omit for all fields.

Responses

200 OK

Field objects.

array of objects of Field

  • fieldstringRequired

    Dotted key to send in fields.

  • fieldNamestringRequired

    Display name.

Errors

Shared errors401What they mean